% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 11: Razonamiento Basado en Casos
% Autores: Ángela Ribeiro, Xavier P. Burgos Artizzu y Jesús M. Conesa Muñoz

% Calculo automático de la existencia de plaga de infestación una imagen
function plagado = fplagado(im)

% Se calculan el numero de filas y columnas de la imagen
[f,c,x] = size(im);

% Se segmentan los píxeles pertenecientes a vegetación 
ims = segmenta(im);

% Se calcula la cantidad de píxeles de vegetación
vegetacion = find(ims==255);

% Se calcula la proporción de píxeles de vegetación
proporcion_vegetacion = length(vegetacion)/(f*c);

% Si la proporción supera el 50%, la imagen se considera plagada
if(proporcion_vegetacion > 0.5) plagado = true;
else plagado = false;
end;